
class Tagz3 expands BlastMark config(goTagz);

var config string Tag3TextureChoice;
var Texture Tag3Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag3TextureChoice, Tag3Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz3 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz3', T)
      if (T !=Self)
         T.Destroy();
   Tag3Tex = texture(DynamicLoadObject(Tag3TextureChoice, class'Texture'));
   self.Texture = Tag3Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}