
class Tagz5 expands BlastMark config(goTagz);

var config string Tag5TextureChoice;
var Texture Tag5Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag5TextureChoice, Tag5Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz5 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz5', T)
      if (T !=Self)
         T.Destroy();
   Tag5Tex = texture(DynamicLoadObject(Tag5TextureChoice, class'Texture'));
   self.Texture = Tag5Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}