
class Tagz10 expands BlastMark config(goTagz);

var config string Tag10TextureChoice;
var Texture Tag10Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag10TextureChoice, Tag10Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz10 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz10', T)
      if (T !=Self)
         T.Destroy();
   Tag10Tex = texture(DynamicLoadObject(Tag10TextureChoice, class'Texture'));
   self.Texture = Tag10Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}
