
class Tagz8 expands BlastMark config(goTagz);

var config string Tag8TextureChoice;
var Texture Tag8Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag8TextureChoice, Tag8Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz8 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz8', T)
      if (T !=Self)
         T.Destroy();
   Tag8Tex = texture(DynamicLoadObject(Tag8TextureChoice, class'Texture'));
   self.Texture = Tag8Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}